package com.hai.dao;

import com.hai.entity.HighOrderRecord;
import com.hai.entity.HighOrderRecordExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighOrderRecordMapper extends HighOrderRecordMapperExt {
    @SelectProvider(type=HighOrderRecordSqlProvider.class, method="countByExample")
    long countByExample(HighOrderRecordExample example);

    @DeleteProvider(type=HighOrderRecordSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighOrderRecordExample example);

    @Delete({
        "delete from high_order_record",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_order_record (order_id, child_order_id, ",
        "before_status, update_status, ",
        "record_time, ext_1, ",
        "ext_2, ext_3)",
        "values (#{orderId,jdbcType=BIGINT}, #{childOrderId,jdbcType=BIGINT}, ",
        "#{beforeStatus,jdbcType=INTEGER}, #{updateStatus,jdbcType=INTEGER}, ",
        "#{recordTime,jdbcType=TIMESTAMP}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighOrderRecord record);

    @InsertProvider(type=HighOrderRecordSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighOrderRecord record);

    @SelectProvider(type=HighOrderRecordSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="order_id", property="orderId", jdbcType=JdbcType.BIGINT),
        @Result(column="child_order_id", property="childOrderId", jdbcType=JdbcType.BIGINT),
        @Result(column="before_status", property="beforeStatus", jdbcType=JdbcType.INTEGER),
        @Result(column="update_status", property="updateStatus", jdbcType=JdbcType.INTEGER),
        @Result(column="record_time", property="recordTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighOrderRecord> selectByExample(HighOrderRecordExample example);

    @Select({
        "select",
        "id, order_id, child_order_id, before_status, update_status, record_time, ext_1, ",
        "ext_2, ext_3",
        "from high_order_record",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="order_id", property="orderId", jdbcType=JdbcType.BIGINT),
        @Result(column="child_order_id", property="childOrderId", jdbcType=JdbcType.BIGINT),
        @Result(column="before_status", property="beforeStatus", jdbcType=JdbcType.INTEGER),
        @Result(column="update_status", property="updateStatus", jdbcType=JdbcType.INTEGER),
        @Result(column="record_time", property="recordTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighOrderRecord selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighOrderRecordSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighOrderRecord record, @Param("example") HighOrderRecordExample example);

    @UpdateProvider(type=HighOrderRecordSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighOrderRecord record, @Param("example") HighOrderRecordExample example);

    @UpdateProvider(type=HighOrderRecordSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighOrderRecord record);

    @Update({
        "update high_order_record",
        "set order_id = #{orderId,jdbcType=BIGINT},",
          "child_order_id = #{childOrderId,jdbcType=BIGINT},",
          "before_status = #{beforeStatus,jdbcType=INTEGER},",
          "update_status = #{updateStatus,jdbcType=INTEGER},",
          "record_time = #{recordTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighOrderRecord record);
}