package com.hai.service;

import com.hai.entity.OutRechargeOrder;
import com.hai.entity.OutRechargeOrderRecord;

import java.util.List;

public interface OutRechargeOrderRecordService {

    /**
    * @Author Sum1Dream
    * @name getListRechargeOrderRecord.java
    * @Description // 获取充值记录列表
    * @Date 2:31 下午 2022/2/11
    * @Param []
    * @return java.util.List<com.hai.entity.OutRechargeOrderRecord>
    */
    List<OutRechargeOrderRecord> getListRechargeOrderRecord();

    /**
    * @Author Sum1Dream
    * @name findById.java
    * @Description // 根据ID查询
    * @Date 2:32 下午 2022/2/11
    * @Param [Long id]
    * @return com.hai.entity.OutRechargeOrderRecord
    */
    OutRechargeOrderRecord findById(Long id);

    /**
     * @Author Sum1Dream
     * @name findById.java
     * @Description // 根据订单ID查询
     * @Date 2:32 下午 2022/2/11
     * @Param [Long id]
     * @return com.hai.entity.OutRechargeOrderRecord
     */
    OutRechargeOrderRecord findByOrderNo(String orderNo);

    /**
     * @Author Sum1Dream
     * @name findById.java
     * @Description // 根据订单ID查询
     * @Date 2:32 下午 2022/2/11
     * @Param [Long id]
     * @return com.hai.entity.OutRechargeOrderRecord
     */
    OutRechargeOrderRecord findByOrderId(Long orderId);

    /***
     * @Author Sum1Dream
     * @Description // 新增订单
     * @Date 15:25 2021/6/11
     * @Param [rechargeOrderRecord]
     * @return void
     **/
    void insertOrder(OutRechargeOrderRecord rechargeOrderRecord);

    /***
     * @Author Sum1Dream
     * @Description // 修改订单
     * @Date 15:26 2021/6/11
     * @Param [rechargeOrderRecord]
     * @return void
     **/
    void updateOrder(OutRechargeOrderRecord rechargeOrderRecord);

}
